/**
 *
 * Written by Ed Hong UWT May 1, 2003
 *
 * @author edhong
 * @version 0.0
 */
import	java.io.*;
import  java.util.*;
import  java.text.*;

class ItemInput{

		/** Loads item data from text file.
		    asks user for directory and path name.
		    returns ArrayList of Items.
		  */
	public static ArrayList LoadItems() {
         System.out.println("Please enter the file name for the input data. Include the full path");
         System.out.println(" name if it is not in the current directory: ");
		  String userinput;
		  userinput = KeyboardReader.readString();
   		  return    LoadItems(userinput);
	}

			/**
		     * Loads item data from a text file.
		     * Each line of the file contains 2 integer tokens, representing a benefit,weight pair.
		     * returns ArrayList of Items.
		     * @param pathandfilename  is the name of the file, including full path.
		     */
	public static ArrayList LoadItems( String pathandfilename){
		BufferedReader	inbuf = InputLib.fopen(pathandfilename);
		System.out.println("Opened " + pathandfilename + " for input.");
		String	line = InputLib.getLine(inbuf); // get first line
		StringTokenizer	sTok;
		int  linenum = 0;
		int n;

		ArrayList al= new ArrayList();

		while (line != null) {
			linenum++;
			sTok = new StringTokenizer(line);
			n = sTok.countTokens();
			if (n==2) {
				int ben, wgt;

				ben = Integer.parseInt(sTok.nextToken());
				wgt = Integer.parseInt(sTok.nextToken());
				Item it;
				it = new Item(ben,wgt);
//				System.out.println("Found item " + it);
				al.add(it);
			}
			else {
			    System.err.println("Error:invalid number of tokens found on line " +linenum+ "!");
			    return null;
			}
			line = InputLib.getLine(inbuf);
		}

		InputLib.fclose(inbuf);
		System.out.println("Successfully loaded "+ linenum + " items. ");
		return al;
	}


	public static void main (String args[]) {
		  ArrayList temp;
		  temp = ItemInput.LoadItems();
		  for (int i= 0; i < temp.size(); i++)
		  	System.out.println("Item #"+ i + " is " + temp.get(i));
		  System.out.println("What is the weight limit? ");
		  int limit = KeyboardReader.readInt();
		  System.out.println("Weight limit is " + limit);
	}
}